Skip to content
payrocdevelopers

Retrieve ACH deposit

Browse API reference

GET/ach-deposits/{achDepositId}getAchDeposit

Use this method to retrieve information about an ACH deposit that we paid to a merchant.

Note: To retrieve an ACH deposit, you need its achDepositId. If you don't have the achDepositId, use our List ACH Deposits method to search for the ACH deposit.

Our gateway returns the following information about the ACH deposit:

  • Merchant that we sent the ACH deposit to.
  • Total amount that we paid the merchant.
  • Breakdown of sales, returns, and fees.

Parameters

NameInTypeDescription
achDepositIdRequiredpathinteger

Unique identifier of the ACH deposit.

Responses

Successful request. Returns the requested ACH deposit.

200 OK · application/json
{
  "achAdjustment": 1000,
  "achDate": "2024-07-02",
  "achDepositId": 99,
  "associationDate": "2024-07-02",
  "dailyFees": 1000,
  "heldSales": 1000,
  "holdback": 1000,
  "links": [
    {
      "href": "https://api.payroc.com/v1/ach-deposit-fees?achDepositId=99&merchantId=4525644354",
      "method": "get",
      "rel": "achDepositFees"
    }
  ],
  "merchant": {
    "doingBusinessAs": "Pizza Doe",
    "link": {
      "href": "https://api.payroc.com/v1/processing-accounts/38765",
      "method": "get",
      "rel": "processingAccount"
    },
    "merchantId": "4525644354",
    "processingAccountId": 38765
  },
  "netAmount": 36500,
  "paymentDate": "2024-07-02",
  "reserveRelease": 500,
  "returns": 10000,
  "sales": 50000,
  "transactions": 10
}
Response schema · 25 fields
  • achAdjustmentintegerint64
    Amount of adjustments that we made to the ACH deposit. We return the value in the currency's lowest denomination, for example, cents.
  • achDatestringdate
    Date that we sent the ACH deposit. The format of this value is YYYY-MM-DD.
  • achDepositIdinteger
    Unique identifier that we assigned to the ACH deposit.
  • associationDatestringdate
    Date that we sent the transactions to the card brands for clearing. The format of this value is YYYY-MM-DD.
  • dailyFeesintegerint64
    Amount of fees that were applied to the transactions in the ACH deposit. We return the value in the currency's lowest denomination, for example cents.
  • heldSalesintegerint64
    Amount of funds that we held if the merchant was in full suspense. We return the value in the currency's lowest denomination, for example, cents.
  • holdbackintegerint64
    Amount of funds that we held as reserve from the ACH deposit. We return the value in the currency's lowest denomination, for example, cents.
  • linksobject[]
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • merchantobject
    Object that contains information about the merchant.
    • doingBusinessAsstring
      Trading name of the business.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • merchantIdstring
      Unique identifier that the processor assigned to the merchant.
    • processingAccountIdinteger
      Unique identifier that we assigned to the processing account.
  • netAmountintegerint64
    Total amount that we paid the merchant after fees and adjustments. We return the value in the currency's lowest denomination, for example, cents.
  • paymentDatestringdate
    Date that the merchant received the ACH deposit. The format of this value is YYYY-MM-DD.
  • reserveReleaseintegerint64
    Amount of funds that we released from holdback. We return the value in the currency's lowest denomination, for example, cents.
  • returnsintegerint64
    Amount of returns in the ACH deposit. We return the value in the currency's lowest denomination, for example, cents.
  • salesintegerint64
    Amount of sales in the ACH deposit. We return the value in the currency's lowest denomination, for example, cents.
  • transactionsinteger
    Number of transactions in the ACH deposit.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer